All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.dataselectors
Class BaseMenuBarSupport

    com.sas.actionprovider.support.dataselectors.BaseMenuBarSupport

All Implemented Interfaces:
  MenuBarActionTypesInterface, MenuBarAreaInterface

Direct Known Subclasses:
  HttpRelationalMenuBarSupport

    public abstract class BaseMenuBarSupport

implements MenuBarAreaInterface, MenuBarActionTypesInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for MenuBar components.

Since:
  3.1

Field Summary
`static java.lang.String` | `RB_KEY` Key for retrieving messages from properties files

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.dataselectors.MenuBarAreaInterface
`SELECTOR_AREA`

Fields inherited from interface com.sas.actionprovider.support.dataselectors.MenuBarActionTypesInterface
`ADVANCED_FILTER_SELECTOR_ACTION, DATAITEM_SELECTOR_ACTION, EDIT_MENU_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_AND_RANK_SELECTOR_ACTION, FIND_SELECTOR_ACTION, FORMAT_ACTION, GRAPH_PROPERTY_SELECTOR_ACTION, MEMBER_PROPERTIES_SELECTOR_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, RANKING_ACTION, RESTRICTED_FILTER_SELECTOR_ACTION, SIMPLE_CALCULATED_ITEM_SELECTOR_ACTION, SORT_SELECTOR_ACTION, TOTALS_ACTION`

Constructor Summary
`BaseMenuBarSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected BaseAction` | `getExceptionHighlightingAction()` Returns the default Exception Highlighting action used internally by this support class.
`protected BaseAction` | `getSortAction()` Returns the default Sort action used internally by this support class.
`void` | `initialize()` Initializes the support class
`protected void` | `setExceptionHighlightingAction(BaseAction exceptionHighlightingAction)` Sets the default Exception Highlighting action to be used internally by this support class.
`protected void` | `setSortAction(BaseAction sortAction)` Sets the default Sort action to be used internally by this support class.

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  Key for retrieving messages from properties files

  See Also:
    Constant Field Values

Constructor Detail

### BaseMenuBarSupport

    public BaseMenuBarSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### initialize

    public void initialize()

  Initializes the support class

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports.

### getExceptionHighlightingAction

    protected BaseAction getExceptionHighlightingAction()

  Returns the default Exception Highlighting action used internally by this support class.

  Returns:
    the default Exception Highlighting action.

### setExceptionHighlightingAction

    protected void setExceptionHighlightingAction(BaseAction exceptionHighlightingAction)

  Sets the default Exception Highlighting action to be used internally by this support class.

  Parameters:
    `exceptionHighlightingAction` - the action to be used as the default ExceptionHighlighting action.

### getSortAction

    protected BaseAction getSortAction()

  Returns the default Sort action used internally by this support class.

  Returns:
    the default Sort action.

### setSortAction

    protected void setSortAction(BaseAction sortAction)

  Sets the default Sort action to be used internally by this support class.

  Parameters:
    `sortAction` - the action to be used as the default Sort action.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.